Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1079)

Issue 2883943003: Add media related stats (audio level etc.) to unsignaled streams. (Closed)

Created:
11 months, 1 week ago by Zhi Huang
Modified:
11 months ago
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Add media related stats (audio level etc.) to unsignaled streams. The media related stats wasn't working for unsignaled stream because there is no mapping between the receiver_info and unsignaled tracks. This CL fixes the issue by adding some special logic to the TrackMediaInfoMap which would create the mapping. BUG=b/37836881 BUG=webrtc:7685 TBR=deadbeef@webrtc.org Review-Url: https://codereview.webrtc.org/2883943003 Cr-Commit-Position: refs/heads/master@{#18217} Committed: https://chromium.googlesource.com/external/webrtc/+/f816493c4f6b016b66ef40fb6b9f59f71ed8c8ea

Patch Set 1 #

Total comments: 2

Patch Set 2 : Fix the bug related to the unsignaled video track. Modified the test. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+59 lines, -10 lines) Patch
M webrtc/pc/peerconnection_integrationtest.cc View 1 2 chunks +37 lines, -3 lines 0 comments Download
M webrtc/pc/trackmediainfomap.cc View 1 5 chunks +22 lines, -7 lines 0 comments Download

Messages

Total messages: 12 (8 generated)
Zhi Huang
Please take a look. Thanks.
11 months, 1 week ago (2017-05-15 21:20:38 UTC) #2
Taylor Brandstetter
lgtm with minor comments. Also, could you create a bug in the open-source bug repo? ...
11 months, 1 week ago (2017-05-17 01:30:04 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2883943003/40001
11 months ago (2017-05-19 19:48:55 UTC) #9
commit-bot: I haz the power
11 months ago (2017-05-19 20:09:54 UTC) #12
Message was sent while issue was closed.
Committed patchset #2 (id:40001) as
https://chromium.googlesource.com/external/webrtc/+/f816493c4f6b016b66ef40fb6...

Powered by Google App Engine
This is Rietveld 408576698